## visad.georef
Class NamedLocationTuple

    java.lang.Object
      visad.ThingImpl
          visad.DataImpl
              visad.Tuple
                  visad.georef.NamedLocationTuple

All Implemented Interfaces:
  Cloneable, Data, EarthLocation, LatLonPoint, NamedLocation, Serializable, Thing, TupleIface

public class NamedLocationTuple
extends Tuple
implements NamedLocation

Tuple implementation of NamedLocation for representing a location on the earth's surface in terms of latitude, longitude and altitude above sea level and some sort of identifier. In this implementation, the Tuple has two components - the identifier and an `EarthLocationTuple`.

Instances of this class are immutable.

See Also:
  Serialized Form

Nested Class Summary

Nested classes inherited from class visad.DataImpl
`DataImpl.Syncher`

Nested classes inherited from class visad.ThingImpl
``

Field Summary
`static TextType` `IDENTIFIER_TYPE` TextType associated with the identifier that is returned by getIdentifier().

Fields inherited from class visad.Tuple
``

Fields inherited from class visad.DataImpl
``

Fields inherited from interface visad.Data

`ABS, ACOS, ACOS_DEGREES, ADD, ASIN, ASIN_DEGREES, ATAN, ATAN_DEGREES, ATAN2, ATAN2_DEGREES, CEIL, COS, COS_DEGREES, DEGREES_TO_RADIANS, DEPENDENT, DIVIDE, EXP, FLOOR, INDEPENDENT, INV_ATAN2, INV_ATAN2_DEGREES, INV_DIVIDE, INV_POW, INV_REMAINDER, INV_SUBTRACT, LOG, MAX, MIN, MULTIPLY, NEAREST_NEIGHBOR, NEGATE, NO_ERRORS, NOP, POW, RADIANS_TO_DEGREES, REMAINDER, RINT, ROUND, SIN, SIN_DEGREES, SQRT, SUBTRACT, TAN, TAN_DEGREES, WEIGHTED_AVERAGE`

Constructor Summary
`NamedLocationTuple()`
`NamedLocationTuple(String id, double lat, double lon, double alt)` Construct an NamedLocationTuple from an identifier and values of lat, lon, alt
`NamedLocationTuple(String id, EarthLocation location)` Construct an NamedLocationTuple from an identifier and an EarthLocation
`NamedLocationTuple(Text identifier, EarthLocation location)` Construct an NamedLocationTuple from a Text and an EarthLocation
`NamedLocationTuple(Text id, Real lat, Real lon, Real alt)` Construct an NamedLocationTuple from a Text and Reals of Latitude, Longitude, and Altitude.

Method Summary
`Object` `clone()` Clones this instance.
`Real` `getAltitude()` Get the altitude of this location
`EarthLocation` `getEarthLocation()` Get the lat/lon/alt of this location as an EarthLocation
`Text` `getIdentifier()` Return a unique identifier.
`Real` `getLatitude()` Get the latitude of this location
`LatLonPoint` `getLatLonPoint()` Get the lat/lon of this location as a LatLonPoint
`Real` `getLongitude()` Get the longitude of this location
`String` `toString()`

Methods inherited from class visad.Tuple
`__getitem__, __len__, adjustSamplingError, binary, buildTupleType, computeRanges, equals, getComponent, getComponents, getDimension, getLength, getRealComponents, hashCode, isMissing, longString, makeTuple, unary`

Methods inherited from class visad.DataImpl

`__add__, __add__, __div__, __div__, __mod__, __mod__, __mul__, __mul__, __neg__, __pow__, __pow__, __radd__, __rdiv__, __rmod__, __rmul__, __rpow__, __rsub__, __sub__, __sub__, abs, abs, acos, acos, acosDegrees, acosDegrees, add, add, asin, asin, asinDegrees, asinDegrees, atan, atan, atan2, atan2, atan2Degrees, atan2Degrees, atanDegrees, atanDegrees, binary, ceil, ceil, changeMathType, computeRanges, computeRanges, cos, cos, cosDegrees, cosDegrees, dataClone, divide, divide, exp, exp, floor, floor, getType, local, log, log, longString, main, max, max, min, min, multiply, multiply, negate, negate, notifyReferences, pow, pow, remainder, remainder, rint, rint, round, round, sin, sin, sinDegrees, sinDegrees, sqrt, sqrt, subtract, subtract, tan, tan, tanDegrees, tanDegrees, unary`

Methods inherited from class visad.ThingImpl
`addReference, removeReference`

Methods inherited from class java.lang.Object
`finalize, getClass, notify, notifyAll, wait, wait, wait`

Methods inherited from interface visad.georef.LatLonPoint
`equals`

Methods inherited from interface visad.Data

`abs, abs, acos, acos, acosDegrees, acosDegrees, add, add, adjustSamplingError, asin, asin, asinDegrees, asinDegrees, atan, atan, atan2, atan2, atan2Degrees, atan2Degrees, atanDegrees, atanDegrees, binary, binary, ceil, ceil, changeMathType, computeRanges, computeRanges, computeRanges, cos, cos, cosDegrees, cosDegrees, dataClone, divide, divide, exp, exp, floor, floor, getType, isMissing, local, log, log, longString, longString, max, max, min, min, multiply, multiply, negate, negate, pow, pow, remainder, remainder, rint, rint, round, round, sin, sin, sinDegrees, sinDegrees, sqrt, sqrt, subtract, subtract, tan, tan, tanDegrees, tanDegrees, unary, unary`

Methods inherited from interface visad.Thing
`addReference, removeReference`

Field Detail

### IDENTIFIER_TYPE

    public static TextType IDENTIFIER_TYPE

  TextType associated with the identifier that is returned by getIdentifier().

Constructor Detail

### NamedLocationTuple

    public NamedLocationTuple()
                       throws VisADException,
                              RemoteException

### NamedLocationTuple

    public NamedLocationTuple(Text id,
                              Real lat,
                              Real lon,
                              Real alt)
                       throws VisADException,
                              RemoteException

  Construct an NamedLocationTuple from a Text and Reals of Latitude, Longitude, and Altitude.

Parameters:
  `lat` - Real representing the latitude
  `lon` - Real representing the longitude
  `alt` - Real representing the altitude
Throws:
  `VisADException` - unable to create necessary VisAD object
  `RemoteException` - unable to create necessary remote object

### NamedLocationTuple

    public NamedLocationTuple(Text identifier,
                              EarthLocation location)
                       throws VisADException,
                              RemoteException

  Construct an NamedLocationTuple from a Text and an EarthLocation

Parameters:
  `identifier` - Text representing the identifier (must be of type NamedLocation.IDENTIFIER_TYPE)
  `location` - EarthLocation
Throws:
  `NullPointerException` - if the location is `null`.
  `VisADException` - unable to create necessary VisAD object
  `RemoteException` - unable to create necessary remote object

### NamedLocationTuple

    public NamedLocationTuple(String id,
                              double lat,
                              double lon,
                              double alt)
                       throws VisADException,
                              RemoteException

  Construct an NamedLocationTuple from an identifier and values of lat, lon, alt

Parameters:
  `id` - identifier
  `lat` - latitude (degrees North positive)
  `lon` - longitude (degrees East positive)
  `alt` - altitude (meters above sea level)
Throws:
  `VisADException` - unable to create necessary VisAD object
  `RemoteException` - unable to create necessary remote object

### NamedLocationTuple

    public NamedLocationTuple(String id,
                              EarthLocation location)
                       throws VisADException,
                              RemoteException

  Construct an NamedLocationTuple from an identifier and an EarthLocation

Parameters:
  `id` - identifier
  `location` - EarthLocation
Throws:
  `VisADException` - unable to create necessary VisAD object
  `RemoteException` - unable to create necessary remote object

Method Detail

### getLatitude

    public Real getLatitude()

  Get the latitude of this location

  Specified by:
    `getLatitude` in interface `LatLonPoint`
  Returns:
    Real representing the latitude

### getLongitude

    public Real getLongitude()

  Get the longitude of this location

  Specified by:
    `getLongitude` in interface `LatLonPoint`
  Returns:
    Real representing the longitude

### getAltitude

    public Real getAltitude()

  Get the altitude of this location

  Specified by:
    `getAltitude` in interface `EarthLocation`
  Returns:
    Real representing the altitude

### getLatLonPoint

    public LatLonPoint getLatLonPoint()

  Get the lat/lon of this location as a LatLonPoint

  Specified by:
    `getLatLonPoint` in interface `EarthLocation`
  Returns:
    location of this point.

### getEarthLocation

    public EarthLocation getEarthLocation()

  Get the lat/lon/alt of this location as an EarthLocation

  Specified by:
    `getEarthLocation` in interface `NamedLocation`
  Returns:
    location of this point.

### getIdentifier

    public Text getIdentifier()

  Return a unique identifier. This might be a Text object representing the name of the station (e.g.: "Denver"), the ICAO 4 letter id (e.g., "KDEN"), a WMO block and station number as a string (e.g., "72565"), or some other identifying string (i.e., "intersection of Mitchell and 47th" or "Point A", or "A") The TextType for this object is `IDENTIFIER_TYPE`.

  Specified by:
    `getIdentifier` in interface `NamedLocation`
  Returns:
    Text whose getValue() method returns the identifier

### clone

    public final Object clone()

  Clones this instance.

  Overrides:
    `clone` in class `Tuple`
  Returns:
    A clone of this instance.

### toString

    public String toString()

  Overrides:
    `toString` in class `DataImpl`
  Returns:
    a String representation of this